.NET 5, 6 Support

Hello.  Do we know when it might be possible to interface a .NET 5+ project with Sage 50?  Any idea of ETA or direction would be greatly appreciated.

It looks like .NET Framework 4.8 was release just over 3 years ago (April 2019).

If you're reading this and it applies to your organization/company too, please chime in or upvote.

Thanks!

  • All new custom programming at our company has been done in .net 6.  We would rather not make any software that uses the legacy .net framework.  Having all of our software written using the same framework makes them easier to maintain (no need for anyone to learn/understand the legacy .net framework technologies).  We will not be using this sdk until it works with the new .net.

    Edit:  This, among other reasons is why our company has decided to move away from Sage 50.  There are other solutions out there that use modern technologies and are much easier to work with.

  • Yes we also need to know if it works with .net 6, as this is the long term support edition, we had done earlier development on .net 4.5 and now we decide to do all development on .net 6.

  • In case anyone is interested, this is the last time anyone from Sage has commented on this subject (3 years ago): .NET Core Compatibility with Sage 50 US SDK/API - Software Development Kit (SDK) - Sage 50 US - Sage City Community

    I have rather intentionally reposted the question about once per year hoping to see some update, but to date there has not been a response.  I am glad to see others chiming in. 

    All of our projects are moved to .NET 6, and we maintain a legacy .NET Framework 4.8 project to connect to Sage 50 only; it operates as a standalone service that talks over WCF/Web API to the .NET 6 projects.  It is quite clunky to maintain.